Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.security.acl
Class DefaultUserImpl

    java.lang.Object
      |
      +--java.security.Identity
            |
            +--weblogic.security.acl.User
                  |
                  +--weblogic.security.acl.DefaultUserImpl

public class DefaultUserImpl
extends User
implements java.io.Serializable

DefaultUserImpl is the default implementation of the interface User. It only has a name and credentials -- no other constraints. The credentials can be a password string and/or an X509 certificate or a chain of X509 certificates. Note that certificates are accepted, but ignored; only passwords are honoured.

Author:
  Copyright (c) 1997-1998 by WebLogic, Inc., Copyright (c) 1999 by BEA WebXpress. All Rights Reserved.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Constructor Summary
`DefaultUserImpl()` Constructs a DefaultUserImpl.
`DefaultUserImpl(java.lang.String name, java.lang.Object credential, BasicRealm realm)`

Method Summary
`java.lang.Object` | `getCredential(java.lang.Object ownerCredential)` Gets the credential of a DefaultUser.
`BasicRealm` | `getRealm()` Gets the BasicRealm associated with a DefaultUser.
`boolean` | `hasMatchingInfo(UserInfo unauthenticatedUserInfo)`
`protected void` | `setCredential(java.lang.Object credential)`

Methods inherited from class weblogic.security.acl.User
`identityEquals, toString`

Methods inherited from class java.security.Identity
`addCertificate, certificates, equals, getInfo, getName, getPublicKey, getScope, hashCode, removeCertificate, setInfo, setPublicKey, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DefaultUserImpl

    public DefaultUserImpl()

  Constructs a DefaultUserImpl. For serialization only.

### DefaultUserImpl

    public DefaultUserImpl(java.lang.String name,
                           java.lang.Object credential,
                           BasicRealm realm)

Method Detail

### getRealm

    public BasicRealm getRealm()

  Gets the BasicRealm associated with a DefaultUser.

  Returns:
    BasicRealm
  Overrides:
    getRealm in class User

### getCredential

    public java.lang.Object getCredential(java.lang.Object ownerCredential)

  Gets the credential of a DefaultUser. Only an owner of the ACL for a realm can request the credential of a user.

  Parameters:
    `ownerCredential` - Owner of the realm's ACL
  Returns:
    Credential, as a DefaultUserInfo object
  Overrides:
    getCredential in class User

### setCredential

    protected void setCredential(java.lang.Object credential)

### hasMatchingInfo

    public boolean hasMatchingInfo(UserInfo unauthenticatedUserInfo)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD